Subject: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Stelian Iancu <[email-masked]>
Date: Thu, 12 Nov 2015 21:07:34 +0100

I think this might be the correct behavior.

The documentation of `desktop-save-mode' says the following:

When Desktop Save mode is enabled, the state of Emacs is saved from
one session to another.  In particular, Emacs will save the desktop when
it exits (this may prompt you; see the option `desktop-save').  The next
time Emacs starts, if this mode is active it will restore the desktop.

The default value of `desktop-save' is `ask-if-new'. Since you started 
Emacs with -Q, I guess there was no desktop file loaded and that's why 
you get the prompt.

Can somebody more knowledgeable than me comment?

Thanks,
Stelian